[REGRESSION] Crash reporting accidentally disabled
Closed, ResolvedPublic

Description


There is supposed to be a "Crash" button under DEBUG in this 'W'-menu, according to another user. I can't see it though.


WikipediaApp/4.1.4.123 iPhone OS 8.3; Tablet (iPad mini)

Josve05a created this task.May 25 2015, 4:26 PM
Josve05a updated the task description. (Show Details)
Josve05a raised the priority of this task from to Needs Triage.
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2015, 4:26 PM
BGerstle-WMF triaged this task as Unbreak Now! priority.Jun 3 2015, 3:10 PM
BGerstle-WMF set Security to None.

Turns out this is due to a really bad regression in which a minor utility patch was returning the wrong Info.plist value (bundle version instead of bundle ID), which causes crash reporting to be completely disabled.

BGerstle-WMF renamed this task from Crash button missing under DEBUG to [REGRESSION] Crash reporting accidentally disabled.
BGerstle-WMF claimed this task.

Change 215659 had a related patch set uploaded (by Bgerstle):
fix unit tests (again) & crash reporting

https://gerrit.wikimedia.org/r/215659

Change 215659 merged by Fjalapeno:
fix unit tests (again) & crash reporting

https://gerrit.wikimedia.org/r/215659

Debug - Crash button is present on WikipediaApp/4.1.5.143 Tablet (iPad mini) OS 8.2

Is there a reason this "Unbreak now" task is still open? No news for more than 10 days.

Fjalapeno closed this task as Resolved.Jul 3 2015, 5:48 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 20 2017, 10:08 PM